Packages - Bug #1260

[python-pyqt5] Missing QtWidgets
2017-03-24 02:40 PM - ne555

Status: fixed % Done: 90%
Priority: bug

Assignee: lukeshu

Category:

Description

The package is missing the /usr/lib/python3.6/site-packages/PyQt5/QtWidgets.so file

Related issues:
Related to Packages - Bug #1272: [pyqt5] is missing most of the modules fixed 2017-03-24

History

#1 - 2017-03-24 02:43 PM - ne555
python-pyqt5 5.8-2.parabola1i

#2 - 2017-03-26 10:16 PM - bacha

It seems to miss a whole bunch of modules.
If you compare https://www.parabola.nu/packages/libre/x86_64/python-pyqt5/ with https://www.archlinux.org/packages/extra/x86_64/python-pyqt5/.
To my knowledge the missing QtGui module breaks https://www.parabola.nu/packages/community/any/retext/.

#3 - 2017-03-27 11:27 PM - Anonymous

- Assignee set to Anonymous

#4 - 2017-03-28 08:32 AM - Raphi111

| also have the same problem, the lastest update breaks any package using QtGui from python2-pyqt5 or python-pyqt5. Is this related to the recent
blacklisting of gt-webengine ?

#5 - 2017-03-31 06:04 PM - isacdaavid
- Parent task set to #1272

#6 - 2017-03-31 06:13 PM - isacdaavid
- Parent task deleted (#1272)

#7 - 2017-03-31 06:14 PM - isacdaavid
- Related to Bug #1272: [pyqt5] is missing most of the modules added

#8 - 2017-04-09 05:45 PM - lukeshu
- % Done changed from 0 to 90
- Assignee changed from Anonymous to lukeshu

- Status changed from open to fixed

This was essentially a special case of #1272
